%define version 8.0.4
%define release 2mdk
%define prefix /usr

Summary: A restyled Tk which looks like n*xtStep.
Summary(de): Ein umgestaltetes Tk das wie n*xtStep aussieht.
Name: TkStep
Version: %{version}
Release: %{release}
Copyright: GPL
Packager: Steve Murray (stevem@eng.uts.edu.au)
Icon: tkstep.gif
Group: Development/Other
Prefix: %{prefix}
Source0: tk%{version}.tar.bz2
Source1: tcl%{version}.tar.bz2
Patch0: tk%{version}-to-tkstep%{version}-1mdk.patch.bz2
#Patch1: tkstep-replace-tk.patch
BuildRoot: /var/tmp/%{name}-buildroot

%description
This is a nextified tk%{version} with full OffiX DND 1.0 support.

A short summary of features:
- changed name of tkStepConfig.sh to tkstepConfig.sh
- TIFF read file support (requires libtiff)
- no colors limitation for XPMs
- transparent GIF, XPM and TIFF through masking
- can use any Dnd Types (also not defined ones !!!)

Tk is a X Windows widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%changelog
* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 8.0.4-2mdk
- bzip2 archives
- fix group, vendor.

* Fri Dec 17 1999 - Lenny Cartier <lenny@mandrakesoft.com> 8.0.4-1mdk
- new in contribs
- fix defattr

* Fri Jan 22 1999 - Steve Murray (stevem@eng.uts.edu.au)
- borrowed Oliver's rpm SPEC file for tkstep8.0p2 and modified it
  for tkstep8.0.4 - this included accidently integrating the 'replace
  tk' patch.

* Tue Jul 28 1998 Oliver Graf <ograf@fga.de>
- recompiled using egcs 1.0.3 release with pentium optimization
- removed the python stuff, for making a seperate python-_tkinterstep
  package matching Oliver Andrichs RPM distribution (see Olivers
  quarter on starship.skyport.net)
- added prefix support
- fixed optimization
- man package conflicts with tk and TkStep-replace

* Mon Apr 27 1998 Oliver Graf <ograf@fga.de>
- added patch for replace-tk build
- added extra replace tk package
- forked off devel packages for both step and replace

%package devel
Summary: TkStep static libraries and header files
Group: Development/Other
Icon: tkstep-dev.gif

%description devel
Libraries and header files for developing C programs using or
extending the TkStep toolkit.  This package is not needed for writing
WishStep scripts, unless you wish to extend Tk using C code.

%package man
Summary: The Tk man pages
Group: Development/Other
Icon: tkstep-man.gif
Conflicts: tk

%description man
bereits installiert ist.
These are the man pages of TkStep. They are identical to the man-pages
of Tk, so if you have Tk installed, you don't need this package.

%package replace
Summary: Transforms tkstep a full tk replacement
Group: Development/Other
Icon: tkstep-rep.gif
Conflicts: TkStep
Provides: tk

%description replace
This is a replace package for tk.

This is a nextified tk%{version} with full OffiX DND 1.0 support.

A short summary of features:
- changed name of tkStepConfig.sh to tkstepConfig.sh
- TIFF read file support (requires libtiff)
- no colors limitation for XPMs
- transparent GIF, XPM and TIFF through masking
- can use any Dnd Types (also not defined ones !!!)

Tk is a X Windows widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%package replace-devel
Summary: The replacement static libs and header files
Group: Development/Other
Icon: tkstep-rep-dev.gif
Conflicts: TkStep-devel
Provides: tk-devel

%description replace-devel
This is a replace package for tk.

Libraries and header files for developing C programs using or
extending the TkStep toolkit.  This package is not needed for writing
WishStep scripts, unless you wish to extend Tk using C code.

%prep
if [ -e $RPM_BUILD_ROOT/usr/bin ]
then

%setup99 -D -T

else

%setup -c -a 0 -a 1

cd tk%{version}
%patch0 -p1
#%patch1 -p1
cd ..

#cd tcl%{version}
#%patch1 -p1
#cd ..

fi

%build
if [ -e $RPM_BUILD_ROOT/usr/lib ]; then

echo "Already done..."

else

RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_REENTRANT"

cd tcl%{version}/unix
./configure --prefix=/usr \
	--enable-shared --enable-gcc --with-optimize="$RPM_OPT_FLAGS"
cd ../..

cd tk%{version}/unix
autoconf
./configure --prefix=/usr \
	--enable-shared --with-tcl=../../tcl%{version}/unix \
	--enable-gcc \
	--enable-dnd \
	--enable-step \
	--enable-xpm \
	--enable-tiff \
	--with-optimize="$RPM_OPT_FLAGS"
cp Makefile Makefile.shared
make
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-tcl=../../tcl%{version}/unix \
	--enable-gcc \
	--enable-dnd \
	--enable-step \
	--enable-xpm \
	--enable-tiff \
        --with-optimize="$RPM_OPT_FLAGS"
cp Makefile Makefile.static
make
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-shared --with-tcl=../../tcl%{version}/unix \
	--enable-gcc \
	--enable-dnd \
	--enable-step \
	--enable-xpm \
	--enable-tiff \
	--enable-replace \
        --with-optimize="$RPM_OPT_FLAGS"
cp Makefile Makefile.replace.shared
make
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-tcl=../../tcl%{version}/unix \
	--enable-gcc \
	--enable-dnd \
	--enable-step \
	--enable-xpm \
	--enable-tiff \
	--enable-replace \
        --with-optimize="$RPM_OPT_FLAGS"
make
cd ../..

fi

%install
if [ -e $RPM_BUILD_ROOT/usr/lib/tkstepConfig.sh ]; then

echo "Already done..."

else

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

cd tk%{version}/unix

make INSTALL_ROOT=$RPM_BUILD_ROOT install-binaries
ln -sf libtk8.0.a $RPM_BUILD_ROOT/usr/lib/libtk.a
cp Makefile.replace.shared Makefile
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf libtk8.0.so $RPM_BUILD_ROOT/usr/lib/libtk.so
ln -sf wish8.0 $RPM_BUILD_ROOT/usr/bin/wish
cp Makefile.static Makefile
make INSTALL_ROOT=$RPM_BUILD_ROOT install-binaries
ln -sf libtkstep8.0.a $RPM_BUILD_ROOT/usr/lib/libtkstep.a
cp Makefile.shared Makefile
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf libtkstep8.0.so $RPM_BUILD_ROOT/usr/lib/libtkstep.so
ln -sf wishstep8.0 $RPM_BUILD_ROOT/usr/bin/wishstep

cd ../..

fi

%post
if [ $RPM_INSTALL_PREFIX != "/usr" ]; then
  echo "Be sure that $RPM_INSTALL_PREFIX/lib is in your ld.so.conf!"
fi
/sbin/ldconfig

%postun
/sbin/ldconfig

%post replace
if [ $RPM_INSTALL_PREFIX != "/usr" ]; then
  echo "Be sure that $RPM_INSTALL_PREFIX/lib is in your ld.so.conf!"
fi
/sbin/ldconfig

%postun replace
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc tk%{version}/README tk%{version}/README.TkStep tk%{version}/changes tk%{version}/license.terms tk%{version}/tkstep/*

/usr/lib/tkstep8.0
/usr/lib/libtkstep8.0.so
/usr/bin/wishstep
/usr/bin/wishstep8.0

%files devel
%defattr (-,root,root) 
/usr/lib/tkstepConfig.sh
/usr/lib/libtkstep.a
/usr/lib/libtkstep8.0.a
/usr/lib/libtkstep.so
/usr/include/tkstep.h

%files man
%defattr (-,root,root) 
/usr/man/man3
/usr/man/mann

%files replace
%defattr (-,root,root) 
%doc tk%{version}/README tk%{version}/README.TkStep tk%{version}/changes tk%{version}/license.terms tk%{version}/tkstep/*

/usr/lib/tk8.0
/usr/lib/libtk8.0.so
/usr/bin/wish
/usr/bin/wish8.0
/usr/man/man1
/usr/man/mann

%files replace-devel
%defattr (-,root,root) 
/usr/lib/tkConfig.sh
/usr/lib/libtk.a
/usr/lib/libtk8.0.a
/usr/lib/libtk.so
/usr/include/tk.h
/usr/man/man3
